Subject: Re: [PATCH] autodetect serial console on efika

From: Olaf Hering <[email-masked]>
Date: Tue, 10 Apr 2007 18:52:46 +0200

On Mon, Apr 09, Matt Sealey wrote:

> It is entirely possible that a user may redirect the OF console output to
> the PSC6 controller or another internal or external serial device (PCI
> serial controller or so). In this case, the boot console will simply switch
> to the UART on the back, which may be some other custom device and not a
> valid console.

How many serial drivers are enabled in the public Efika firmware?
With my change, both /failsafe and the /builtin/serial work.
Both have device_type == "serial"